#version 120

varying vec2 textureCoord;

uniform sampler2D albedo;
uniform vec3 screenGamma;

const float exposure = 2.2f;

void main() {
	vec4 colorLinear = texture2D( albedo, textureCoord ).rgba;
	vec3 mapped      = vec3( 1.0f ) - exp( -colorLinear.rgb * exposure );
	//if ( colorLinear.a == 0.0 || ( colorLinear.r == 0.0 && colorLinear.g == 0.0 && colorLinear.b == 0.0 ) ) {
	//	discard;
	//}
	gl_FragColor       = vec4( pow( mapped, screenGamma ), colorLinear.a );
}
